component: HdMonitor
proto_imports:
  - vehicle/computer_hardware/diagnostics/hd_monitor_diagnostics.proto
metric: DriveMetrics
namespace: zoox::computer_hardware
faults:
  - id: 1
    name: PermissionsError
    severity: ERROR
    description: Permissions are not sufficient to run this system
    triggers_nogo: true
  - id: 2
    name: MetricGenerationProblem
    severity: WARNING
    description: Problem with metric generation
    triggers_nogo: false
  - id: 3
    name: DriveTempHighWarning
    severity: WARNING
    description: Drive temp is higher than warning threshold
    triggers_nogo: false
    freeze_frame: DriveMetrics
  - id: 4
    name: DriveTempHighError
    severity: WARNING
    description: Drive temp is higher than error threshold
    triggers_nogo: false
    freeze_frame: DriveMetrics
  - id: 5
    name: DriveUsageHighWarning
    severity: WARNING
    description: Drive usage is higher than warning threshold
    triggers_nogo: false
    freeze_frame: DriveMetrics
  - id: 6
    name: DriveUsageHighError
    severity: WARNING
    description: Drive usage is higher than error threshold
    triggers_nogo: false
    freeze_frame: DriveMetrics
  - id: 7
    name: DriveInodeUsageHighWarning
    severity: WARNING
    description: Drive inode usage is higher than warning threshold
    triggers_nogo: false
    freeze_frame: DriveMetrics
  - id: 8
    name: DriveInodeUsageHighError
    severity: WARNING
    description: Drive inode usage is higher than error threshold
    triggers_nogo: false
    freeze_frame: DriveMetrics
  - id: 9
    name: DriveWriteRateWarning
    severity: WARNING
    description: Write rate to the logging drive is above warning threshold
    triggers_nogo: false
    freeze_frame: DriveMetrics
  - id: 10
    name: DriveWriteRateError
    severity: ERROR
    description: Write rate to the logging drive is above error threshold
    triggers_nogo: false
    freeze_frame: DriveMetrics
  - id: 11
    name: DriveMinFreeSpaceError
    severity: WARNING
    description: The available free space on the drive is below the minimum amount
    triggers_nogo: false
    freeze_frame: DriveMetrics
  - id: 12
    name: DriveDataPathNotFound
    severity: WARNING
    description: The expected data path for the machine is not mounted
    triggers_nogo: false
    freeze_frame: DriveMetrics
